import 'package:flutter/material.dart';
import 'package:IQ/app/global/static_informs.dart';
import 'package:IQ/app/global/text_widget.dart';

class SingleCard extends StatelessWidget {
  const SingleCard({
    Key? key,
    this.text,
    this.text2,
  }) : super(key: key);
  final String? text;
  final String? text2;

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.end,
      mainAxisAlignment: MainAxisAlignment.end,
      children: [
        TextWidget(
          text: text,
          fontSize: 20,
          fontWeight: FontWeight.w400,
          color: brandColor,
        ),
        TextWidget(
          text: text2,
          fontWeight: FontWeight.w400,
          fontSize: 16,
          color: Colors.grey,
        ),
        Container(
          margin: const EdgeInsets.symmetric(
            horizontal: 10,
          ),
          child: const Divider(),
        ),
      ],
    );
  }
}
